backend:
  name: git-gateway
  branch: master

media_folder: "_site/images"
public_folder: "/images"

collections:
  - name: 'settings'
    label: 'Settings'
    delete: false # Prevent users from deleting documents in this collection
    editor:
      preview: false
    files:
      - name: 'general'
        label: 'Site Settings'
        file: 'src/_data/settings.json'
        description: 'General Site Settings'
        fields:
          - { label: 'Site title', name: 'name', widget: 'string' }
          - { label: 'Site Web Address', name: 'domain', widget: 'string' }
          - { label: 'Site tag line', name: 'tagline', widget: 'string' }
          - { label: 'Site Description SEO', name: 'description', widget: 'string' }
          - { label: 'Phone Number', name: 'phone', widget: 'string' }
          - { label: 'Email Address', name: 'email', widget: 'string' }
          - { label: 'Address Line 1', name: 'address1', widget: 'string' }
          - { label: 'Address Line 2', name: 'address2', widget: 'string' }
          - { label: 'Address Line 3', name: 'address3', widget: 'string' }
          - { label: 'Facebook Link', name: 'facebook', widget: 'string' }
          - { label: 'Instagram LinK', name: 'instagram', widget: 'string' }
          - { label: 'Current Year ( Copyright )', name: 'year', widget: 'string' }

  - name: "home"
    label: "Home Page"
    folder: "src/"
    fields:
      - { label: "Site Title", name: "title", widget: "string" }
      - label: 'Banner Section'
        name: 'hero'
        widget: 'object'
        fields:
          - { label: "hero heading", name: "header", widget: "string" }
          - { label: 'Sub Heading', name: 'subhead', widget: 'string' }
          - { label: 'Hero Text', name: 'text', widget: 'text' }

      - label: 'About Section'
        name: 'bio'
        widget: 'object'
        fields:
          - { label: 'Bio Header', name: 'header', widget: 'string' }
          - { label: 'Paragraph 1', name: 'para1', widget: 'text' }
          - { label: 'Paragraph 2', name: 'para2', widget: 'text' }
          - { label: "Image 1", name: "image", widget: "image" }
          - { label: "Image 2", name: "image2", widget: "image" }

      - label: 'Affiliate Logos'
        name: 'logos'
        widget: 'list'
        fields:
          - { label: 'Image Alt Text for SEO', name: 'alt', widget: 'string' }
          - { label: 'Logo Image', name: 'image', widget: 'image' }

      - label: 'Activities Panel'
        name: 'test'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'text' }
          - { label: 'Text Description', name: 'text', widget: 'text' }
          - { label: 'Activity Image', name: 'image', widget: 'image' }

      - label: 'Review/Testimonial'
        name: 'testimonials'
        widget: 'list'
        fields:
          - { label: 'Review Name', name: 'name', widget: 'text' }
          - { label: 'Review Heading', name: 'header', widget: 'string' }
          - { label: 'Review', name: 'description', widget: 'text' }
          - { label: 'Review Source', name: 'company', widget: 'string' }

      - label: 'Contact/Map Section'
        name: 'map'
        widget: 'object'
        fields:
          - { label: 'Map Header Text', name: 'header', widget: 'string' }
          - { label: 'Main Map text', name: 'text', widget: 'text' }

  - name: "about"
    label: "About Page"
    folder: "src/about"
    fields:
      - { label: "Page Title", name: "title", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}  

  - name: "services"
    label: "Cottages"
    folder: "src/services"
    create: true
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Description", name: "description", widget: "string" }
      - { label: "Featured Image", name: "image", widget: "image" }
      - { label: 'Airbnb Link', name: 'airbnb', widget: 'string' }
      - label: 'Image Gallery'
        name: 'gallery'
        widget: 'list'
        fields:
          - { label: 'Image Alt Text for SEO', name: 'name', widget: 'string' }
          - { label: 'Activity Image', name: 'image', widget: 'image' }
      - { label: "Body", name: "body", widget: "markdown"}
      

  - name: "activities"
    label: "Activities Page"
    folder: "src/activities"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "banner Image", name: "banner", widget: "image" }
      - { label: "Body", name: "body", widget: "markdown"}

      - label: 'Activity List'
        name: 'active'
        widget: 'list'
        fields:
          - { label: 'Activity Name', name: 'name', widget: 'string' }
          - { label: 'Activity Image', name: 'image', widget: 'image' }
          - { label: 'Activity Text', name: 'text', widget: 'text' }
          - { label: 'Activity Button', name: 'buttonText', widget: 'string' }

      - label: 'Destination Table'
        name: 'table'
        widget: 'list'  
        fields:
          - { label: 'Destination', name: 'name', widget: 'string' }
          - { label: 'Distance', name: 'distance', widget: 'string' }
          - { label: 'Time', name: 'time', widget: 'string' }
          - { label: 'Short Description', name: 'description', widget: 'string' }
          - { label: 'Website Link', name: 'link', widget: 'string' }
          - { label: 'Eircode', name: 'eircode', widget: 'string' }
          - { label: 'Locality Letter', name: 'letter', widget: 'string' }    

  - label: "Contact Page"
    name: "Contact"
    folder: "src/contact"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}  

  - label: "Privacy and Terms"
    name: "pages"
    folder: "src/pages"
    fields:
      - { label: "Page Title", name: "title", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}  

   


      
      
